Replies: 1 comment 1 reply
-
The Free function API provides a
Say I have two import cadquery as cq
wp1 = cq.Workplane().box(20, 20, 3).faces(">Z").rect(10, 10).extrude(3)
wp2 = cq.Workplane(origin=(5, 5, 3)).box(2.5, 2.5, 3)
result_clean = wp1.cut(wp2) # clean is applied by default
result_without_clean = wp1.cut(wp2, clean=False) # disable clean Why not always automatically apply the clean operation? The underlying OCCT functionality is from Try applying clean explicitly after the free function cut: part = clean(part) It's not a bug - you are probably more accustomed to Note |
Beta Was this translation helpful? Give feedback.
-
I've been trying to use the free function API more to get a better feel for it. I've noticed edge artifacts in a few cases, and so I put together an MRE.
That is produced by the following code, and I see the same visual glitch using cadquery.vis.show and CQ-editor.
Is this a bug, or am I using the API incorrectly somehow?
Beta Was this translation helpful? Give feedback.
All reactions